Skip to content
Skip to main content
PATCH
https://api.us.nylas.com/v3/workspaces/{workspace_id}

Update a workspace

Updates the specified workspace. You cannot change a workspace's domain after it's created.

On the application's default workspace, you can update only the policy_id and rule_ids values.

NYLAS API KEY

Parameters

Path parameters

workspace_id*string

ID of the workspace to access.

Example: "123e4567-e89b-12d3-a456-426614174000"

Request body

auto_groupboolean

When true, specifies that newly created grants in the application are automatically assigned to the workspace if their email address' domain matches the domain.

Example: true
namestring

A short, descriptive name for the workspace.

Example: "The Nylas Workspace"
policy_idstringnull

The ID of the policy to attach to the workspace. Set a policy ID to attach the policy, set null to detach the current policy, or omit the field to keep the current value. The policy must belong to your application.

Example: "6dcc5d92-8a55-4ce8-85a8-2f4275f8f0a0"
rule_idsarraynull

The IDs of any rules to attach to the workspace. Set an array to replace the current rules, set null or an empty array to detach all rules, or omit the field to keep the current value. Each rule must belong to your application.

Example: ["3f2504e0-4f89-41d3-9a0c-0305e82c3301"]

Responses

request_idstring

The request ID.

Example: "5967ca40-a2d8-4ee0-a0e0-6f18ace39a90"
dataobject
PATCHhttps://api.us.nylas.com/v3/workspaces/123e4567-e89b-12d3-a456-426614174000

Find your API key in the Nylas Dashboard under API Keys in your application settings.

workspace_idrequiredstring

ID of the workspace to access.

Loading editor...

Autocomplete and validation come from this endpoint's request schema.